Bug 21753 - Removing journal causes e2fsck full check.
Summary: Removing journal causes e2fsck full check.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat High Availability Server
Classification: Retired
Component: ext3   
(Show other bugs)
Version: beta
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: Wil Harris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-05 18:13 UTC by Nalin Dahyabhai
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-22 16:33:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Force full fsck if we remove a reserved journal inode. (1.53 KB, patch)
2000-12-22 16:33 UTC, Stephen Tweedie
no flags Details | Diff

Description Nalin Dahyabhai 2000-12-05 18:13:03 UTC
When you remove the has_journal flag with debugfs and reboot, fsck notes
that you have a journal but no has_journal flag set.  It then removes the
journal file, but leaves the inode intact.
The next time you run fsck, it notices that the inode is still there, and
forces a full check, which corrects this error.
I've seen this once, and didn't think enough to try to reproduce it after
that.  Let me know if you need me to.

Comment 1 Stephen Tweedie 2000-12-22 16:05:39 UTC
Reproduced, and this looks easy to fix.  More shortly.

Comment 2 Stephen Tweedie 2000-12-22 16:33:49 UTC
Created attachment 6678 [details]
Force full fsck if we remove a reserved journal inode.

Comment 3 Stephen Tweedie 2000-12-22 16:35:14 UTC
Should be fixed in the attached patch.  I am currently building RPMs and this
will be included in my e2fsprogs-1.20.WIP.sct.20001222 interim release while I
sync up with Ted again.


Note You need to log in before you can comment on or make changes to this bug.